Package org.codehaus.groovy.control.messages

# Class SyntaxErrorMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.SyntaxErrorMessage

public class SyntaxErrorMessage extends Message
A class for error messages produced by the parser system.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SyntaxException`
  `cause`
  Underlying syntax exception.
  `protected SourceUnit`
  `source`
  Source unit containing the syntax error.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyntaxErrorMessage(SyntaxException cause, SourceUnit source)`
  Creates a message for the supplied syntax error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyntaxException`
  `getCause()`
  Returns the underlying SyntaxException.
  `void`
  `write(PrintWriter output, Janitor janitor)`
  Writes out a nicely formatted summary of the syntax error.

  ### Methods inherited from class org.codehaus.groovy.control.messages.Message

  `create, create, create, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cause

    protected SyntaxException cause
    Underlying syntax exception.

  - ### source

    protected SourceUnit source
    Source unit containing the syntax error.

- ## Constructor Details

  - ### SyntaxErrorMessage

    public SyntaxErrorMessage(SyntaxException cause, SourceUnit source)
    Creates a message for the supplied syntax error.
    Parameters:
      `cause` - the syntax exception to report
      `source` - the source unit containing the error

- ## Method Details

  - ### getCause

    public SyntaxException getCause()
    Returns the underlying SyntaxException.

  - ### write

    public void write(PrintWriter output, Janitor janitor)
    Writes out a nicely formatted summary of the syntax error.
    Specified by:
      `write` in class `Message`